## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global git0 https://github.com/containers/crun
  
%global built_tag 1.4.4
%global gen_version %(b=%{built_tag}; echo ${b/-/"~"})

Summary: OCI runtime written in C
Name: crun
Version: %{gen_version}
Release: %autorelease
URL: %{git0}
# Source0 generated using `make dist` in upstream repo
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz
License: GPLv2+

# We always run autogen.sh
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: python3
BuildRequires: libcap-devel
BuildRequires: systemd-devel
BuildRequires: yajl-devel
BuildRequires: libseccomp-devel
BuildRequires: libselinux-devel
BuildRequires: python3-libmount
BuildRequires: libtool
BuildRequires: go-md2man
BuildRequires: make
BuildRequires: glibc-static
BuildRequires: protobuf-c-devel
%ifnarch %ix86
BuildRequires: criu-devel >= 3.15
%endif
Provides: oci-runtime

%description
crun is a runtime for running OCI containers

%prep
%autosetup -p1 -n %{name}-%{version}

%build
./autogen.sh
%configure --disable-silent-rules

%make_build

%install
%make_install
rm -rf %{buildroot}%{_prefix}/lib*

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/*

%changelog
* Thu Mar 24 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.4.4-1
- bump to v1.4.4

* Thu Mar 10 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.4.3-2
- specify BR: python3 and not python

* Thu Mar 03 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.4.3-1
- bump to 1.4.3

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.4.2-2
- switch to autospec

* Wed Jan 26 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.4.2-1
- crun-1.4.2-1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 14 2022 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.4.1-1
- crun-1.4.1-1

* Wed Dec 22 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.4-1
- crun-1.4-1

* Fri Nov 05 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.3-1
- crun-1.3-1

* Fri Oct 08 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.2-1
- crun-1.2-1

* Tue Sep 28 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 1.1-2
- BR: protobuf-c-devel

* Mon Sep 27 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.1-1
- crun-1.1-1

* Wed Aug 25 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 1.0-1
- crun-1.0-1

* Tue Aug 10 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.21-2
- update BUILD dir format

* Thu Aug 05 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.21-1
- crun-0.21-1

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.20.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 23 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.20.1.9-1
- crun-0.20.1.9-0.17.git60de767

* Mon Jun 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.20.1.7-1
- crun-0.20.1.7-0.16.git7ef74c9

* Sat Jun 19 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.13-1
- crun-0.19.1.13-0.15.git63400f2

* Tue Jun 15 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.20.1.3-1
- crun-0.20.1.3-0.14.git9dec366

* Thu Jun 10 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.20.1.1-1
- crun-0.20.1.1-0.13.git7adf4d0

* Thu Jun 03 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.20.3-1
- crun-0.20.3-0.12.git8d6a8b5

* Wed Jun 02 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.20.1-1
- crun-0.20.1-0.11.gitffb75b2

* Tue May 25 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.50-1
- crun-0.19.1.50-0.10.git1942907

* Fri May 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.45-1
- crun-0.19.1.45-0.9.git4cc7fa1

* Sat May 15 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.41-1
- crun-0.19.1.41-0.8.gitf9c405d

* Fri May 14 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.36-1
- crun-0.19.1.36-0.7.git2badd69

* Thu May 13 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.31-1
- crun-0.19.1.31-0.6.gitb83eda7

* Tue May 11 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.26-1
- crun-0.19.1.26-0.5.git029e0ed

* Mon May 10 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.22-1
- crun-0.19.1.22-0.4.git4e968c9

* Sat May 08 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.19-1
- crun-0.19.1.19-0.3.gitb6c3139

* Fri May 07 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> 0.19.1.17-1
- crun-0.19.1.17-0.2.git3f6a944

* Mon May 03 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.19.1.11-1
- crun-0.19.1.11-0.1.git1dead7e

* Wed Apr 28 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.19.1.7-1
- crun-0.19.1.7-0.1.git3886321

* Thu Apr 22 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.19.1-2
- crun-0.19.1-2

* Thu Apr 22 2021 Giuseppe Scrivano <gscrivan@redhat.com> 0.19.1-1
- crun-0.19.1-1

* Fri Apr 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.19-3
- rearrange URL and Source0

* Tue Apr 13 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.19-2
- crun-0.19-2

* Tue Apr 06 2021 Giuseppe Scrivano <gscrivan@redhat.com> 0.19-1
- crun-0.19-1

* Wed Mar 31 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.18-6
- crun-0.18-5

* Thu Mar 25 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.18-5
- crun-0.18-4

* Thu Mar 25 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.18-4
- crun-0.18-2

* Fri Feb 19 2021 Giuseppe Scrivano <gscrivan@redhat.com> 0.18-3
- crun.spec: fix changelog

* Fri Feb 19 2021 Giuseppe Scrivano <gscrivan@redhat.com> 0.18-2
- crun.spec: add glibc-static

* Fri Feb 19 2021 Giuseppe Scrivano <gscrivan@redhat.com> 0.18-1
- crun-0.18.1-1

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 21 2021 Giuseppe Scrivano <gscrivan@redhat.com> 0.17-1
- crun-0.17.1-1

* Thu Dec 17 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.16-4
- crun-0.16-3.fc34

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> 0.16-3
- Add BuildRequires: make

* Wed Nov 25 2020 Jindrich Novy <jnovy@redhat.com> 0.16-2
- crun-0.16-2.fc34

* Tue Nov 24 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.16-1
- crun-0.16-1

* Wed Nov 04 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.15.1-1
- crun-0.15.1-1

* Wed Sep 30 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.15-4
- crun-0.15-5

* Wed Sep 30 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.15-3
- crun-0.15-3

* Wed Sep 23 2020 Giuseppe Scrivano <giuseppe@scrivano.org> 0.15-2
- rebuild

* Wed Sep 23 2020 Giuseppe Scrivano <giuseppe@scrivano.org> 0.15-1
- crun-0.15-1

* Mon Sep 14 2020 Giuseppe Scrivano <giuseppe@scrivano.org> 0.14.1-6
- crun-0.14.1-5

* Tue Sep 01 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.14.1-5
- crun-0.14.1-4

* Tue Sep 01 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.14.1-4
- fix-nvr

* Thu Aug 27 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.14.1-3
- crun-0.14.1-3

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 08 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.14.1-1
- crun-0.14.1-1

* Thu Jul 02 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.14-1
- crun-0.14-1

* Wed Apr 15 2020 Lokesh Mandvekar <lsm5@fedoraproject.org> 0.13-2
- crun-0.13-2

* Thu Mar 05 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.13-1
- crun-0.13-1

* Mon Feb 17 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.12.2.1-1
- crun-0.12.2.1-1

* Mon Feb 17 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.12.2-1
- crun-0.12.2-1

* Thu Feb 06 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.12.1-1
- crun-0.12.1-1

* Mon Feb 03 2020 Giuseppe Scrivano <gscrivan@redhat.com> 0.12-1
- crun-0.12-1

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 23 2019 Giuseppe Scrivano <giuseppe@scrivano.org> 0.11-1
- crun-0.11-1

* Mon Nov 18 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.6-1
- crun-0.10.6-1

* Sat Nov 09 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.5-3
- fix release number

* Sat Nov 09 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.5-2
- crun-0.10.5-2

* Sat Nov 09 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.5-1
- crun-0.10.5-1

* Thu Oct 31 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.4-1
- crun-0.10.4-1

* Tue Oct 29 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.3-1
- crun-0.10.3-1

* Mon Oct 07 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.2-1
- crun-0.10.2-1

* Fri Oct 04 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10.1-1
- crun-0.10.1-1

* Tue Oct 01 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.10-1
- crun-0.10-1

* Fri Sep 13 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.9.1-1
- crun-0.9.1-1

* Fri Sep 13 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.9-3
- crun.spec: use commit for autosetup

* Fri Sep 13 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.9-2
- crun-0.9-2

* Wed Sep 11 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.9-1
- crun-0.9

* Tue Sep 10 2019 Jindrich Novy <jnovy@redhat.com> 0.8-3
- Add versioned oci-runtime provide.

* Mon Sep 09 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.8-2
- crun-0.8-2

* Mon Aug 19 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.8-1
- crun-0.8-1

* Mon Aug 12 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.7-3
- crun.spec: fix repository to containers/crun

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jul 18 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.7-1
- crun-0.7-1

* Fri Jun 21 2019 Giuseppe Scrivano <gscrivan@redhat.com> 0.6-1
- crun-0.6-1

* Fri Jun 21 2019 Mohan Boddu <mboddu@bhujji.com> 0.1.1-1
- Revert "Retire crun."
